Classes | Namespaces | Enumerations
IWORKRecorder.cpp File Reference
`#include "IWORKRecorder.h"`
`#include <deque>`
`#include <boost/variant.hpp>`
`#include "IWORKCollector.h"`
`#include "IWORKTableRecorder.h"`
`#include "IWORKText.h"`
`#include "IWORKTextRecorder.h"`

## Classes
struct | libetonyek::IWORKRecorder::Impl

## Namespaces
| libetonyek

## Enumerations
enum | libetonyek::@205::OperationType

## Enumeration Type Documentation

## ◆ OperationType

enum libetonyek::@205::OperationType

## Variable Documentation

## ◆ m_collector

IWORKCollector& m_collector
| private

## ◆ m_content

const IWORKMediaContentPtr_t m_content

## ◆ m_cropGeometry

const IWORKGeometryPtr_t m_cropGeometry

## ◆ m_geometry

const IWORKGeometryPtr_t m_geometry

Referenced by libetonyek::IWORKWrapElement::element().

## ◆ m_image

const IWORKMediaContentPtr_t m_image

## ◆ m_line

const IWORKLinePtr_t m_line

## ◆ m_locked

bool m_locked

## ◆ m_order

const boost::optional<int> m_order

## ◆ m_path

const IWORKPathPtr_t m_path

## ◆ m_style

const IWORKStylePtr_t m_style

## ◆ m_stylesheet

const IWORKStylesheetPtr_t m_stylesheet

Referenced by libetonyek::IWORKStylesheetBase::endOfElement(), and libetonyek::IWORKStylesheetBase::startOfElement().

## ◆ m_table

const std::shared_ptr<IWORKTable> m_table

## ◆ m_text

const std::shared_ptr<IWORKText> m_text

## ◆ m_type

OperationType m_type